Roll a leads qualification configuration form token
Issues a new hosted form token and immediately invalidates the previous one.
curl --request POST \
--url https://api.yorlet.com/v1/leads/qualification_configurations/{id}/token \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/leads/qualification_configurations/{id}/token"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/leads/qualification_configurations/{id}/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"object": "leads.qualification_configuration",
"active": true,
"after_completion": {
"type": "hosted_confirmation",
"hosted_confirmation": {
"custom_message": "<string>"
},
"redirect": {
"url": "<string>"
}
},
"default": true,
"description": "<string>",
"hosted_qualification_url": "<string>",
"name": "<string>",
"token": "<string>",
"allowed_origins": [
"<string>"
],
"questions": {
"move_in_date": {
"enabled": true,
"required": false
},
"budget": {
"enabled": true,
"required": false,
"min_budget": null,
"max_budget": null
},
"household": {
"enabled": true,
"required": false,
"ask_occupants": true,
"ask_children": false,
"max_occupants": null
},
"pets": {
"enabled": true,
"required": false,
"allowed": true,
"allowed_types": null,
"max_pets": null
},
"employment": {
"enabled": true,
"required": false,
"ask_employer": false,
"ask_income": false,
"accepted_statuses": [
"employed",
"self_employed",
"student",
"retired",
"benefits",
"other"
]
},
"smoking": {
"enabled": false,
"required": false,
"non_smokers_only": false
},
"current_situation": {
"enabled": false,
"required": false,
"ask_reason_for_moving": false,
"ask_current_landlord": false
},
"right_to_rent": {
"enabled": false,
"required": false
},
"guarantor": {
"enabled": false,
"required": false
}
},
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"type": "text",
"options": [
"<string>"
],
"required": false
}
],
"account": "<string>",
"deleted": false,
"metadata": {}
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Returns the qualification configuration with the new form token.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
leads.qualification_configuration Whether the qualification configuration is active.
Configuration for after the qualification is completed.
Show child attributes
Show child attributes
Whether this is the default qualification configuration.
An arbitrary description attached to the object.
The URL for the hosted qualification form.
The name of the qualification configuration.
The hosted form token (qct_…). Pass this to Yorlet.js to embed the form on your website.
Website origins allowed to embed this form. An empty list allows the form to be embedded on any website.
Set of standard qualification questions to ask leads.
Show child attributes
Show child attributes
Custom freeform questions to ask leads.
Show child attributes
Show child attributes
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Was this page helpful?
